# Transfer funds

Transfer funds between your accounts.

Endpoint: POST /accounts/transfer
Version: v1
Security: basicAuth

## Header parameters:

  - `WP-CorrelationId` (string)
    Optional ID to trace requests, if not provided, it is generated.
    Example: "15cd16b2-7b82-41cb-9b11-21be9dacad88"

## Request fields (application/json):

  - `sourceAccountNumber` (string)
    The 16-digit transfer source account number.

  - `targetAccountNumber` (string)
    A 16-digit transfer destination account number.

  - `amount` (number)
    A decimal value for the transfer. Currency is defined by the source account currency.

  - `narrative` (string)
    A description about the transfer.

  - `quoteId` (string)
    The ID of the quote of an exchange rate for the transfer. Not currently used - can set as empty guid value (all zeros).

## Response 400 fields (application/json):

  - `errorName` (string,null)

  - `message` (string,null)

  - `validationErrors` (array,null)

  - `validationErrors.errorName` (string,null)

  - `validationErrors.message` (string,null)

  - `validationErrors.jsonPath` (string,null)

## Response 401 fields (application/json):

  - `errorName` (string,null)

  - `message` (string,null)

## Response 403 fields (application/json):

  - `errorName` (string,null)

  - `message` (string,null)

## Response 404 fields (application/json):

  - `errorName` (string,null)

  - `message` (string,null)

## Response 500 fields (application/json):

  - `errorName` (string,null)

  - `message` (string,null)


